<template>
    <div class="d-flex h-100">
        <!-- <transition enter-active-class="animate__animated animate__slideInLeft" leave-active-class="animate__animated animate__slideOutLeft" mode="out-in"> -->
        <div class="card h-100 border-0" v-if="leftToggle" style="width:20vw;">
            <div class="card-header bg-transparent p-2 border">
                <input type="text" class="form-control form-control-sm rounded-pill px-3" placeholder="search..."/>
            </div>
            <div class="card-body h-100 p-2 border-end overflow-auto">
                <div class="list-group m-0">
                    <a href="#" class="list-group-item list-group-item-action">A simple default list group item</a>
                    <a href="#" class="list-group-item list-group-item-action list-group-item-primary">A simple primary list group item</a>
                    <a href="#" class="list-group-item list-group-item-action list-group-item-secondary">A simple secondary list group item</a>
                    <a href="#" class="list-group-item list-group-item-action list-group-item-success">A simple success list group item</a>
                    <a href="#" class="list-group-item list-group-item-action list-group-item-danger">A simple danger list group item</a>
                    <a href="#" class="list-group-item list-group-item-action list-group-item-warning">A simple warning list group item</a>
                    <a href="#" class="list-group-item list-group-item-action list-group-item-info">A simple info list group item</a>
                    <a href="#" class="list-group-item list-group-item-action list-group-item-light">A simple light list group item</a>
                    <a href="#" class="list-group-item list-group-item-action list-group-item-dark">A simple dark list group item</a>
                </div>
            </div>
        </div>
        <!-- </transition> -->
        
        <button class="btn btn-white px-2 h-100 border-end rounded-0 shadow" @click="toggle">
            <i :class="leftToggle ? 'fas fa-caret-left' : 'fas fa-caret-right'"></i>
        </button>
    </div>
</template>

<script>
export default {
    data(){
        return{
            leftToggle : true
        }
    },
    methods:{
        toggle(){
            this.leftToggle = !this.leftToggle
        }
    }
}
</script>